[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# LongDateFormat (deprecated)

Long date format string (subject to locale).

## Declaration

Source position: sysinth.inc line 96

`var LongDateFormat: string;`

## Description

LongDateFormat contains a template to format a date in a long format. It is used by the date formatting routines. The initialization routines of the SysUtils unit initialize this string with a value conforming to the regional preferences of the user or system regional default.

This constant is deprecated. You should use DefaultFormatSettings.LongDateFormat instead.

## See also

ShortDateFormat |  | Short Date Format string (subject to locale).
FormatDateTime |  | Return a string representation of a TDateTime value with a given format.
DateSeparator |  | Date separator character (subject to locale).
DefaultFormatSettings |  | Storage for default settings